package com.philisense.www.license.ftp;

import java.util.*;

import com.philisense.www.utils.*;

import java.text.*;

class Resources
{
    private static final String CLASS_NAME;
    private static final ResourceBundle resources;
    
    public static String getString(final String s) {
        return Resources.resources.getString(s);
    }
    
    public static String getString(final String s, final Object[] array) {
        return MessageFormat.format(getString(s), array);
    }
    
    public static String getString(final String s, final Object o) {
        return MessageFormat.format(getString(s), o);
    }
    
    protected Resources() {
    }
    
    static {
        CLASS_NAME = new ObfuscatedString(new long[] {0xB416DB13A2C29D3BL, 0xC1CE80921457632CL, 0xE8E67182277F6F05L, 0xC316D788615E5BF5L, 0x36DE1020AF3316C7L, 0x5DE77857164FBDD9L}).toString();
		Locale locale =  new Locale("zh","CN");
        resources = ResourceBundle.getBundle(Resources.CLASS_NAME,locale);
    }
}
